Subject: Re: program exception emulates mfspr PVR

From: Dan Malek <[email-masked]>
Date: Thu, 15 Feb 2001 17:52:37 -0500

Frank Rowand wrote:

> And why add this extra cruft?

Perhaps you should ask the people that requested it, probably one
or two doors down from your office..........

It was added so programs (actually libraries) executing prior to
any of the /proc stuff set up (like init) could detect the processor
type and install (or avoid) a variety of instructions unique to
that processor.  Cache line information, availability of floating point,
Altivec, unique silicon errata workarounds, etc. could be incorporated
into the library, reducing the requirement to have uniquely compiled
libraries for all of the processor variants.  This has been discussed
for ages on a variety of mailing lists, and emulating the 'mfspr PVR',
which is hardly cruft compared to some of the other stuff that exists,
was the easiest and least intrusive method.

	-- Dan

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/